## kernel-package 10.065ubuntu5

=== debian/changelog ===
kernel-package (10.065ubuntu5) feisty; urgency=low

  * Touch '/var/run/do-not-hibernate' instead of '/var/run/do-not-suspend'
    to indicate to the power-management layer that the kernel that is likely
    to be used following a hibernate/resume-from-hibernate cycle has changed.
    Re-closes: (Launchpad: #14908)
	
 -- Paul Sladen <sladen@ubuntu.com>  Tue, 06 Mar 2007 14:12:24 +0000

kernel-package (10.065ubuntu4) feisty; urgency=low

  * Disable CRASH_DUMP kernel, now that we support relocatable ones.

 -- Ben Collins <bcollins@ubuntu.com>  Fri,  2 Mar 2007 14:12:57 -0500

kernel-package (10.065ubuntu3) feisty; urgency=low

  * Fix shell-in-perl-script stupido.

 -- Ben Collins <bcollins@ubuntu.com>  Thu,  4 Jan 2007 17:00:38 -0500

kernel-package (10.065ubuntu2) feisty; urgency=low

  * Touch file to show that kernel was upgraded, so suspend/resume scripts
    can recognize to not allow this: /var/run/do-not-suspend

 -- Ben Collins <bcollins@ubuntu.com>  Tue,  2 Jan 2007 23:00:11 -0500

kernel-package (10.065ubuntu1) feisty; urgency=low

  * Merge from debian unstable.

  * Patches remaining:
    - kdump kernel type addition. This will probably get backed out once we
      can move to using stock kernel for kdump, with relocation.
    - update-initramfs usage
    - update-notifier usage
    - Disable some debconf stuff.

 -- Ben Collins <bcollins@ubuntu.com>  Mon, 06 Nov 2006 04:15:16 +0000

kernel-package (10.065) unstable; urgency=low

  * Bug fix: "kernel-package: dependency on newer coreutils missing",
    thanks to Norbert Tretkowski. Added. As far as I can tell, readlink -m
    was present in coreutils 5.2.1, uploaded on 14 July 2004, over two
    years ago. However, updated the control file for kernel images.
                                                           (Closes: #396077).
  * Bug fix: "kernel-package: fails when a kernel-patch adds a config var
    without a default value".  Well. It is partially due to kbuild
    helpfully reconfiguring the kernel whenever it thinks it is needed.
    thanks to Yann Dirson                                   (Closes: #396122).

 -- Manoj Srivastava <srivasta@debian.org>  Sat,  4 Nov 2006 22:47:21 -0600

kernel-package (10.064) unstable; urgency=low

  * Also remove initrd .bak backups
  * Bug fix: "leaves .bak files around after kernel purge, and chokes on
    them", thanks to martin f krafft. Well, k-p never generated these
    files, and does not actually choke on them. But I suppose we can clean
    up after update-mkinitramfs or whatever :)(Closes: #395323).
  * Take another crack at handling the ever friendly Kbuild now asking to
    update the .config on STDOUT, not STDERR, and bailing when it
    discovers output is redirected.

 -- Manoj Srivastava <srivasta@debian.org>  Fri, 27 Oct 2006 17:18:39 -0500

kernel-package (10.063) unstable; urgency=low

  * Bug fix: "kernel-package: Generated postinst fails: Missing Required
    paramater 'Old'", thanks to Daniel Jacobowitz. I cleaned up the
    postinst as while I was at it, going with readlink -q -m instead of
    the built in version.                                (Closes: #391643).
  * Bug fix: "[powerpc] initramfs creation fails with 2.6.18 during
    install", thanks to Meelis Roos. This was fixed by the changes above.
                                                         (Closes: #394679).
  * Bug fix: "kernel-package: No need for any mentioning of bin86", thanks
    to Adrian Bunk                                       (Closes: #391677).
  * Bug fix: "postinst_hook runs after bootloader", thanks to Martin Buck
                                                         (Closes: #391436).
  * Bug fix: "kernel-package: A Debian revision is mandatory, but none was
    provided", thanks to Marc Haber. Hmm. We were not passing
    DEBIAN_REVISION for the clean target, and not doing any sanity checks.
    We still don't do sanity checks on clean, but we do pass along the
    provided debian revision, so warning is no longer triggered. 
                                                         (Closes: #391433).

 -- Manoj Srivastava <srivasta@debian.org>  Mon, 23 Oct 2006 13:33:28 -0500

kernel-package (10.062) unstable; urgency=low

  * Forgot to document KPKG_DEBUG introduced in the last upload.

 -- Manoj Srivastava <srivasta@debian.org>  Sun,  1 Oct 2006 15:14:56 -0500

kernel-package (10.061) unstable; urgency=medium

  * Bug fix: "kernel-package: kernel package doesn't find $(ARCH) running
    make-kpkg debian", thanks to Elimar Riesebieter. Fix it for real this
    time. Fixes a grave bug.                              (Closes: #390487).
  * Bug fix: "Easing debugging by outputting commands as these are run",
    thanks to Loïc Minier.                                (Closes: #390222).

 -- Manoj Srivastava <srivasta@debian.org>  Sun,  1 Oct 2006 14:59:26 -0500

kernel-package (10.060) unstable; urgency=low

  *  Only pass ARCH if KERNEL_ARCH is not empty. 

 -- Manoj Srivastava <srivasta@debian.org>  Sat, 30 Sep 2006 09:42:14 -0500

kernel-package (10.059) unstable; urgency=low

  * Bug fix: "kernel-package: Custom .config ignored, m-k clean generates
    errors on 2.6.18", thanks to Anthony L. Awtrey. Add an dummy call to
    make, if there are problems in the .config, kbuild rewrites .config,
    and the informational message messes up the VERSION variable. If the
    variable TEST did get a mesage about .config being written, pass it
    on. The problem is that any call to make seems to make Kbuild fix
    issues in .config -- nothing we can do there.            (Closes: #390012).
  * Bug fix: "Misleading information in postinst", thanks to Julien Danjou
                                                             (Closes: #389697).
  * Bug fix: "kernel-package: link_in_boot produces symlinks that are
    insufficiently relative", thanks to Ross Boylan. Fix a typo in
    determining the relative path for images. Also, in several places,


=== debian/control ===
Source: kernel-package
Priority: optional
Section: misc
XSBC-Original-Maintainer: Manoj Srivastava <srivasta@debian.org>
Maintainer: Ben Collins <bcollins@ubuntu.com>
Standards-Version: 3.7.2.0

Package: kernel-package
Description: A utility for building Linux kernel related Debian packages.
 This package provides the capability to create a debian kernel-image
 package by just running make-kpkg kernel_image in a kernel source
 directory tree.  It can also package the relevant kernel headers into
 a kernel-headers package. In general, this package is very useful if
 you need to create a custom kernel, if, for example, the default
 kernel does not support some of your hardware, or you wish a leaner,
 meaner kernel.  It also scripts the steps that need be taken to
 compile the kernel, which is quite convenient (forgetting a crucial
 step once was the initial motivation for this package). Please look at 
 /usr/share/doc/kernel-package/Rationale.gz for a full list of advantages
 of this package.
Depends: perl, dpkg (>= 1.4), dpkg-dev (>= 1.4.0.9), gcc | c-compiler, make (>= 3.80-10), po-debconf, gettext, file
Recommends: libc6-dev | libc-dev, bzip2
Suggests: linux-source | kernel-source, libdb3-dev, libncurses-dev, docbook-utils
Architecture: all

## kernel-package 10.067~bpo.1

=== Makefile ===
############################ -*- Mode: Makefile -*- ###########################
## Makefile --- 
## Author           : Manoj Srivastava ( srivasta@glaurung.green-gryphon.com ) 
## Created On       : Tue Nov 18 15:53:52 2003
## Created On Node  : glaurung.green-gryphon.com
## Last Modified By : Manoj Srivastava
## Last Modified On : Sat Aug  5 21:03:26 2006
## Last Machine Used: glaurung.internal.golden-gryphon.com
## Update Count     : 28
## Status           : Unknown, Use with caution!
## HISTORY          : 
## Description      : 
## 
###############################################################################
prefix=
package = kernel-package

CONFLOC    := /etc/kernel-pkg.conf
LIBLOC     := /usr/share/kernel-package
MODULE_LOC := /usr/src/modules

DOCFILES = README.modules README.tecra README.grub HOWTO-Linux-2.6-Woody Rationale
EXAMPLES = sample.kernel-img.conf kernel_grub_conf.sh sample.posthook.sh

# where kernel-package files go to
DEBDIR     = $(LIBLOC)
DEBDIR_NAME= $(shell basename $(DEBDIR))

DOCDIR     = $(prefix)/usr/share/doc/$(package)
MAN1DIR    = $(prefix)/usr/share/man/man1
MAN5DIR    = $(prefix)/usr/share/man/man5
MAN8DIR    = $(prefix)/usr/share/man/man8
ES_MAN1DIR = $(prefix)/usr/share/man/es/man1
ES_MAN5DIR = $(prefix)/usr/share/man/es/man5
ES_MAN8DIR = $(prefix)/usr/share/man/es/man8
FR_MAN1DIR = $(prefix)/usr/share/man/fr/man1
FR_MAN5DIR = $(prefix)/usr/share/man/fr/man5
FR_MAN8DIR = $(prefix)/usr/share/man/fr/man8



BASH_DIR:= $(prefix)/etc/bash_completion.d

# install commands
install_file   = install -p    -o root -g root -m 644
install_program= install -p    -o root -g root -m 755
make_directory = install -p -d -o root -g root -m 755

all: check

build: check

genpo4a:  po4a.conf
	if [ -e /usr/bin/po4a ] ; then \
	  po4a po4a.conf; \
	fi

check:
	perl  -wc make-kpkg
	-perl -wc kernel/pkg/image/preinst
	-perl -wc kernel/pkg/image/postinst
	-perl  -wc kernel/pkg/image/postrm
	-perl  -wc kernel/pkg/image/prerm
	-perl  -wc kernel/pkg/image/config
	perl  -wc kernel/pkg/headers/postinst
	bash  -n  kernel/pkg/headers/create_link
	bash  -n  kernel/pkg/virtual/um/postinst
	bash  -n  kernel/pkg/virtual/um/prerm
	bash  -n  kernel/pkg/virtual/xen/postinst
	bash  -n  kernel/pkg/virtual/xen/prerm
	bash  -n  kernel/examples/kernel_grub_conf.sh
	bash  -n  kernel/examples/kernel_grub_rm.sh
	bash  -n  kernel/examples/sample.posthook.sh

install:
	$(make_directory)  $(MAN1DIR)
	$(make_directory)  $(MAN5DIR)
	$(make_directory)  $(MAN8DIR)
	$(make_directory)  $(ES_MAN1DIR)
	$(make_directory)  $(ES_MAN5DIR)
	$(make_directory)  $(ES_MAN8DIR)
	$(make_directory)  $(FR_MAN1DIR)
	$(make_directory)  $(FR_MAN5DIR)
	$(make_directory)  $(FR_MAN8DIR)
	$(make_directory)  $(DOCDIR)/examples
	$(make_directory)  $(BASH_DIR)
	$(make_directory)  $(prefix)/usr/bin
	$(make_directory)  $(prefix)/usr/sbin
	$(make_directory)  $(prefix)/usr/share/$(package)/docs
	$(install_file)    debian/changelog                  $(DOCDIR)/changelog
	$(install_file)    README                            $(DOCDIR)/README
	$(install_file)    kernel/docs/HOWTO-Linux-2.6-Woody $(DOCDIR)/
	$(install_file)    Problems                          $(DOCDIR)/Problems
	$(install_file)    Multi-Arch                        $(DOCDIR)/Multi-Arch
	$(install_file)    Rationale                         $(DOCDIR)/Rationale
	$(install_file)    debian/NEWS.Debian                $(DOCDIR)/
	$(install_file)    _make-kpkg                        $(BASH_DIR)/make_kpkg
	gzip -9fqr         $(DOCDIR)
	(cd $(DOCDIR);     for file in $(DOCFILES); do                  \
                            ln -s ../../$(package)/docs/$$file $$file;  \
                           done)
	$(install_file)    debian/copyright  	      $(DOCDIR)/copyright
	$(install_file)    kernel-pkg.conf.5 	      $(MAN5DIR)/kernel-pkg.conf.5
	$(install_file)    kernel-img.conf.5 	      $(MAN5DIR)/kernel-img.conf.5
	$(install_file)    kernel-package.5  	      $(MAN5DIR)/kernel-package.5
	$(install_file)    make-kpkg.8       	      $(MAN1DIR)/make-kpkg.1
	$(install_file)    kernel-packageconfig.8     $(MAN8DIR)/
	$(install_file)    kernel-pkg.conf.es.5       $(ES_MAN5DIR)/kernel-pkg.conf.5 
	$(install_file)    kernel-img.conf.es.5       $(ES_MAN5DIR)/kernel-img.conf.5
	$(install_file)    kernel-package.es.5        $(ES_MAN5DIR)/kernel-package.5  
	$(install_file)    make-kpkg.es.8             $(ES_MAN1DIR)/make-kpkg.1
	$(install_file)    kernel-packageconfig.es.8  $(ES_MAN8DIR)/kernel-packageconfig.8 
	$(install_file)    kernel-pkg.conf.fr.5       $(FR_MAN5DIR)/kernel-pkg.conf.5 
	$(install_file)    kernel-img.conf.fr.5       $(FR_MAN5DIR)/kernel-img.conf.5
	$(install_file)    kernel-package.fr.5        $(FR_MAN5DIR)/kernel-package.5  
	$(install_file)    make-kpkg.fr.8             $(FR_MAN1DIR)/make-kpkg.1
	$(install_file)    kernel-packageconfig.fr.8  $(FR_MAN8DIR)/kernel-packageconfig.8 
	gzip -9fqr         $(prefix)/usr/share/man
	$(install_file)    kernel-pkg.conf            $(prefix)/etc/kernel-pkg.conf
	$(install_program) kernel-packageconfig       $(prefix)/usr/sbin/kernel-packageconfig
	$(install_program) make-kpkg                  $(prefix)/usr/bin/make-kpkg
	$(install_file)    Rationale                  $(prefix)/usr/share/$(package)/docs/
	(cd kernel;        tar cf - * |                                         \
           (cd             $(prefix)/usr/share/$(package); umask 000;           \
                           tar xpf -))
	test ! -d          $(prefix)/usr/share/$(package)/ruleset/common/\{arch\} || \
               rm -rf      $(prefix)/usr/share/$(package)/ruleset/common/\{arch\}
	(cd $(DOCDIR);     for file in $(EXAMPLES); do                          \
                            mv ../../$(package)/examples/$$file examples/;      \
                           done)
	find $(prefix)/usr/share/$(package) -type d -name .arch-ids -print0 |   \
           xargs -0r rm -rf
# Hack, tell the   rules file what version of kernel package it is
	sed -e             's/=K=V/$(version)/' kernel/rules > \
                              $(prefix)/usr/share/$(package)/rules
	chmod  0755          $(prefix)/usr/share/$(package)/rules

clean distclean:
	@echo nothing to do for clean

=== debian/changelog ===
kernel-package (10.067~bpo.1) sarge-backports; urgency=low

  * Rebuilt for sarge.
  * Adjusted coreutils dependency.
  * Fixed readlink usage.

 -- Norbert Tretkowski <nobse@backports.org>  Mon,  2 Apr 2007 14:49:20 +0200

kernel-package (10.067) unstable; urgency=high

  * Bug fix: "kernel-package: using obsolete package 'ldso'", thanks to
    normes@normes.org. Well, we were not exactly "using" the package, but
    just recording the version number. This is a low risk change.
                                                        (Closes: #407793).
  * Bug fix: "kernel-package needs some additions to @files_to_remove",
    thanks to Stephen Gran.  Added modules.seriomap as a file to be
    removed in the postrm, allowing /lib/modules/$version to be removed.
                                                         (Closes: #408900).
  * Bug fix: "kernel-package: linux-headers for UML do not include various
    Makefiles", thanks to Marcus Better. This should be a low impact
    change.                                             (Closes: #408369).
  * Bug fix: "Kernel and initrd image symlinks aren't updated properly",
    thanks to Dennis Vshivkov.  This bug needs to be fixed for Etch, since
    it causes the symbolic links to the image and initrd to not be
    updated in some cases.                               (Closes: #409240).
  * Bug fix: "kernel-package support for armel", thanks to Joey Hess. This
    should be a low risk change for other architectures, and armel is not
    yet in consideration for etch, so any support in kernel-package is
    better than none.                                    (Closes: #410459).

 -- Manoj Srivastava <srivasta@debian.org>  Sun, 25 Feb 2007 00:49:39 -0600

kernel-package (10.066) unstable; urgency=high

  * Bug fix: "kernel-package: Enable -source and -headers packages for Xen
    kernels", thanks to Ian Campbell.  This is a simple change, and should
    have minimal impact on any other package, or on current user built
    packages. The upside is that the previously disabled packages are
    enabled for Xen and UML variants, allowing people to build third party
    modules for Xen adn UML variations -- and even if these were to break
    (they do not, in my testing), there is no regression.  In the future,
    the image and modules packages will be separated, to allow for
    host/guest installs. Official kernel images do not use make-kpkg to
    build kernel or uml images, so the official images or debian-installer
    are not impacted either.                              (Closes: #390881).
  * Bug fix: "kernel-package: postinst link_in_boot value set by
    image_in_boot", thanks to Niall Walsh. This was an out-and-out cut and
    paste error; and the fix is very simple (remove offending line). The
    downside is minimal, and current implementation is just wrong. 
                                                           (Closes: #405081).
  * Update spanish manual pages, thanks to  Rudy Godoy. He also provided
    patches for spelling errors and style flaws in the English man pages.
  
  * Bug fix: "Typos in manpage", thanks to Goswin Brederlow
                                                           (Closes: #402155).
  * Bug fix: "kernel-package: default stem inconsistent with
    documentation", thanks to Lionel Elie Mamane            (Closes: #400697).
  * Bug fix: "'man kernel-img' typo: "messgaes"", thanks to
    A. Costa                                                (Closes: #397379).
  * Bug fix: "'man kernel-pkg' typos: "Mutualy" and "theversion"", thanks
    to A. Costa                                             (Closes: #397378).
  * Bug fix: "make-kpkg clean: leaves scripts/package/Makefile.kpkg-dist
    behind", thanks to Yann Dirson.  This was a simple typo, which
    prevented the naming back scripts/package/Makefile.kpkg-dist to
    scripts/package/Makefile -- making clean not restore the package to
    original state after running build/clean.  There is little downside to
    this typo fix; we rename the Makefile, and we should be restoring it
    in clean.                                               (Closes: #397518).
  * Bug fix: "kernel-package: linux-headers doesn't inclue arch-specific
    scripts", thanks to dann frazier. When trying to compile external
    modules on on IA64/McKinley ItaniumII,  the Makefile in arch/ia64/
    needs some scripts from arch/ia64/scripts/ directory. These scripts
    were not so far being shipped. On non ia64, this has no impact on the
    headers package built; on ia64 the changes are required for the
    headers package to have any value.                (Closes: #405494). 
  * Bug fix: "kernel-package: kernel image cant be installed when vmlinuz
    link is already", thanks to Kai Sassmannshausen. Actually, the problem
    was not depending on a new enough version of coreutils. See Below.
                                                         (Closes: #407128).
  * Bug fix: "kernel-package: dependency problem: kernel package
    installation uses a invalid option of readlink", thanks to Kai
    Sassmannshausen. In release version 10.063, I cleaned up the  postinst
    as while I was at it, going with readlink -q -m instead of the built
    in version. Since -m was a flag not present in Sarge's coreutils, this
    means the generated image files should have a versioned dependency on
    coreutils. The previous versioned dependency was not strict enough,
    updated to a version that works.                      (Closes: #407130).

 -- Manoj Srivastava <srivasta@debian.org>  Wed, 17 Jan 2007 20:20:25 -0600

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Source: kernel-package
 Priority: optional
 Section: misc
-XSBC-Original-Maintainer: Manoj Srivastava <srivasta@debian.org>
-Maintainer: Ben Collins <bcollins@ubuntu.com>
+Maintainer: Manoj Srivastava <srivasta@debian.org>
+Uploaders: Norbert Tretkowski <nobse@backports.org>
 Standards-Version: 3.7.2.0
 
 Package: kernel-package

## kernel-package 10.067

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,6 @@
 Priority: optional
 Section: misc
 Maintainer: Manoj Srivastava <srivasta@debian.org>
-Uploaders: Norbert Tretkowski <nobse@backports.org>
 Standards-Version: 3.7.2.0
 
 Package: kernel-package

## kernel-package 11.001

=== debian/changelog ===
kernel-package (11.001) unstable; urgency=low

  * Bug fix: "kernel-package: Typo "call" -> "cause" in make-kpkg(1)
    manpage", thanks to Ted Percival                         (Closes: #418496).
  * Bug fix: "[kernel-package] please fail more verbose in preinst",
    thanks to Carsten Hey                                    (Closes: #404871).
  * Bug fix: "kernel-package: make-kpkg should not limit choice of config
    method", thanks to Alex Hermann. Added silenoldconfig, but did not
    make it the default, since older kernel versions do not have this
    target, and make-kpkg should not fail by default for those versions. 
                                                             (Closes: #413098).
  * Bug fix: "french manpage is out of date, and doesn't include the
    ramdisk option.", thanks to Sven Luther                  (Closes: #404855).
  * Bug fix: "kernel-package: make-kpkg debian fails if .config not
    present", thanks to Sami Liedes.                          (Closes: #416090).
  * Bug fix: "kernel/pkg/postinst says it's symlinking when hardlinking
    and vice versa", thanks to Simon Huggins                 (Closes: #417814).
  * Bug fix: "kernel-package: Option --cross-compile=- dont't work whith
    target modules*", thanks to Jose Calhariz                (Closes: #417948).
  * Make kernel-package handle a non-existent .config file again (tested
    on linux-2.2.26, linux-2.4.34, and linux-2.6.21.1).  We figure out
    which kernel needs a .config (>= 2.6.18), and for those kernels, call
    make defconfig as needed.
  * Added support for CONFIG_LOCALVERSION_AUTO and git source trees. If
    CONFIG_LOCALVERSION_AUTO is set, see if we are running in a git
    tree. If so, append -dirty to the git version string (since we do edit
    the scripts Makefile to ensure ./debian does not go missing during
    dpkg-buildpackage). Now that we can handle the appending of -dirty, we
    no longer move setlocalversion out of the way. This has not, however,
    been tested with a git tree.
  * Added XS-VCS-Arch and XS-VCS-Browse to debian/control

 -- Manoj Srivastava <srivasta@debian.org>  Sat,  5 May 2007 00:42:14 -0500

kernel-package (10.068) unstable; urgency=high

  * Bug fix: "/sbin/update-grub is run by default by kernel postrm if it
    exists, and complains", thanks to Joey Hess. Don't semi-silently
    ignore missing hooks. This means: Don't gracefully handle missing hook
    scripts, the diagnostic might be lost in a flurry of messages,  and
    the user may never be aware that the hook script was never run.
    Depending on what the hook script is meant to do, this may cause a
    security problem or data loss.                         (Closes: #412937).
  * Bug fix: "kernel-package: version suffix added when building in git
    trees ", thanks to Marcus Better. When run in a git sourced tree,
    scripts/setlocalversion checks to see if the tree is the trunk, if
    not, it adds version information to the kernel version. It also checks
    to see if there are uncommited changes, if so, it adds the string
    "-dirty" to the version. Since we change a couple of files in
    ./scripts/, this falls afoul of the make-kpkg checks, since the
    version number is now different from what make-kpkg knows it to
    be. Also, there is an additional truncated commit ID added by the
    script scripts/setlocalversion whenever it detects that we are not
    building from a tagged commit of the official tree, so it might be
    just simpler to get rid of scripts/setlocalversion altogether, so we
    now move it out of the way in the config phase, and restore during
    clean. This allows make-kpkg to be useful for building from got trees
    again.                                                (Closes: #406180). 
  * Bug fix: "powerpc arch problems with 2.4 kernel", thanks to Brendan
    O'Dea. For powerpc, handle circular dependency of version number and
    KERNEL_ARCH. For powerpc, we need to set the (KERNEL_ARCH) based on
    the version numbers -- which we can't get to unless we know the kernel
    architecture. Yossarian would have liked this. Use grep to get the
    most significant digits of the version number. Use these to calculate
    significant digits of the version number. Use these to calculate the
    KERNEL_ARCH. Use KERNEL_ARCH to get to the full version. This change
    allows us not to drop support for 2.4 kernels on powerpc machines. It
    does not impact anything but powerpc, and should not cause a change of
    behavior on 2.6.16+ kernels even on powerpc.            (Closes: #411038). 
  * Bug fix: "kernel-package: 'applied kernel patches' is missing from
    buildinfo.gz", thanks to Norbert Buchmuller. Since kernel-source-* and
    kernel-patch-* packages were renamed to linux-source-* and
    linux-patch-*, the "applied kernel patches:" is missing from
    buildinfo.gz. (It still tries to find kernel-patch-<whatever> package
    for the <whatever> patch.                               (Closes:  #412463).
  * Bug fix: "kernel-package: 'kernel source package used:' info in
    build.gz is inaccurate", thanks to Norbert Buchmuller. The information
    that make-kpkg puts into the buildinfo.gz file with the "kernel source
    package used:" description represents the version of the corresponding
    {kernel,linux}-source-* package _installed_ on the system, but not the
    version of the package that the current source tree was _untarred_
    from. (Eg. one untars the source tree from linux-source-2.6.18-6, then
    (s)he updates the installed package to linux-source-2.6.18-7, then
    builds a kernel in the previously untarred source tree. In this case
    the source really used is 2.6.18-6, but it writes 2.6.18-7 to
    buildinfo.gz, which is misleading.)                    (Closes: #412589). 

 -- Manoj Srivastava <srivasta@debian.org>  Thu,  1 Mar 2007 02:14:00 -0600

=== debian/control ===
--- 
+++ 
@@ -1,4 +1,6 @@
 Source: kernel-package
+XS-VCS-Arch: http://arch.debian.org/arch/private/srivasta/grab/kernel-package
+XS-VCS-Browse: http://arch.debian.org/cgi-bin/archzoom.cgi/srivasta@debian.org--lenny/kernel-package?expand
 Priority: optional
 Section: misc
 Maintainer: Manoj Srivastava <srivasta@debian.org>

## kernel-package 11.001-0.1

=== debian/changelog ===
kernel-package (11.001-0.1) unstable; urgency=low

  * Porter NMU.
  * kernel/ruleset/*.mk: use DEB_HOST_ARCH_OS instead of DEB_HOST_GNU_SYSTEM
    to fix make-kpkg on armel                                (Closes: #425971).

 -- Aurelien Jarno <aurel32@debian.org>  Tue, 15 Jan 2008 00:37:03 +0100

## kernel-package 11.015

=== Makefile ===
--- 
+++ 
@@ -27,6 +27,8 @@
 DEBDIR_NAME= $(shell basename $(DEBDIR))
 
 DOCDIR     = $(prefix)/usr/share/doc/$(package)
+MANTOP     = $(prefix)/usr/share/man/
+MAN5DIR    = $(prefix)/usr/share/man/man5
 MAN1DIR    = $(prefix)/usr/share/man/man1
 MAN5DIR    = $(prefix)/usr/share/man/man5
 MAN8DIR    = $(prefix)/usr/share/man/man8
@@ -50,9 +52,9 @@
 
 build: check
 
-genpo4a:  po4a.conf
-	if [ -e /usr/bin/po4a ] ; then \
-	  po4a po4a.conf; \
+genpo4a:  po4a/po4a.conf
+	if [ -e /usr/bin/po4a ] ; then    \
+	  po4a --previous po4a/po4a.conf; \
 	fi
 
 check:
@@ -72,7 +74,7 @@
 	bash  -n  kernel/examples/kernel_grub_rm.sh
 	bash  -n  kernel/examples/sample.posthook.sh
 
-install:
+install: genpo4a
 	$(make_directory)  $(MAN1DIR)
 	$(make_directory)  $(MAN5DIR)
 	$(make_directory)  $(MAN8DIR)
@@ -105,16 +107,13 @@
 	$(install_file)    kernel-package.5  	      $(MAN5DIR)/kernel-package.5
 	$(install_file)    make-kpkg.8       	      $(MAN1DIR)/make-kpkg.1
 	$(install_file)    kernel-packageconfig.8     $(MAN8DIR)/
-	$(install_file)    kernel-pkg.conf.es.5       $(ES_MAN5DIR)/kernel-pkg.conf.5 
-	$(install_file)    kernel-img.conf.es.5       $(ES_MAN5DIR)/kernel-img.conf.5
-	$(install_file)    kernel-package.es.5        $(ES_MAN5DIR)/kernel-package.5  
-	$(install_file)    make-kpkg.es.8             $(ES_MAN1DIR)/make-kpkg.1
-	$(install_file)    kernel-packageconfig.es.8  $(ES_MAN8DIR)/kernel-packageconfig.8 
-	$(install_file)    kernel-pkg.conf.fr.5       $(FR_MAN5DIR)/kernel-pkg.conf.5 
-	$(install_file)    kernel-img.conf.fr.5       $(FR_MAN5DIR)/kernel-img.conf.5
-	$(install_file)    kernel-package.fr.5        $(FR_MAN5DIR)/kernel-package.5  
-	$(install_file)    make-kpkg.fr.8             $(FR_MAN1DIR)/make-kpkg.1
-	$(install_file)    kernel-packageconfig.fr.8  $(FR_MAN8DIR)/kernel-packageconfig.8 
+	for lang in es fr; do                                                                           \
+	 $(install_file)    kernel-pkg.conf.$$lang.5      $(MANTOP)/$$lang/man5/kernel-pkg.conf.5;      \
+	 $(install_file)    kernel-img.conf.$$lang.5      $(MANTOP)/$$lang/man5/kernel-img.conf.5;      \
+	 $(install_file)    kernel-package.$$lang.5       $(MANTOP)/$$lang/man5/kernel-package.5;       \
+	 $(install_file)    make-kpkg.$$lang.8            $(MANTOP)/$$lang/man1/make-kpkg.1;            \
+	 $(install_file)    kernel-packageconfig.$$lang.8 $(MANTOP)/$$lang/man8/kernel-packageconfig.8; \
+        done
 	gzip -9fqr         $(prefix)/usr/share/man
 	$(install_file)    kernel-pkg.conf            $(prefix)/etc/kernel-pkg.conf
 	$(install_program) kernel-packageconfig       $(prefix)/usr/sbin/kernel-packageconfig
@@ -136,5 +135,15 @@
 	chmod  0755          $(prefix)/usr/share/$(package)/rules
 
 clean distclean:
-	@echo nothing to do for clean
-
+	for lang in fr; do                           \
+          test ! -f kernel-pkg.conf.$$lang.5 ||      \
+            rm  kernel-pkg.conf.$$lang.5      ;      \
+	  test ! -f kernel-img.conf.$$lang.5 ||      \
+            rm  kernel-img.conf.$$lang.5      ;      \
+	  test ! -f kernel-package.$$lang.5 ||       \
+            rm  kernel-package.$$lang.5       ;      \
+	  test ! -f make-kpkg.$$lang.5 ||            \
+            rm  make-kpkg.$$lang.8            ;      \
+	  test ! -f kernel-packageconfig.$$lang.5 || \
+            rm  kernel-packageconfig.$$lang.8 ;      \
+        done

=== debian/changelog ===
kernel-package (11.015) unstable; urgency=low

  * New bugfix version
  * [3000654]: Fix a man page typo (headers_postinst_hook -> header_postinst_hook)
  * [0d0b709]: [sparc] The gzipped image file must not have the .gz  suffix
    Bug fix: "[sparc] Breaks on gzip compression"             (Closes:  #506854)
  * [18b6142]: Do not override the config target set in kernel-pkg.conf
    By removing the default value, and only setting the config target if
    it was empty, allows users to set the target for all future
    compilations on that machine. This is a pretty safe fix. 
    Bug fix: "config_target  in /etc/kernel-pkg.conf gets ignored", thanks
    to Harald Gutmann                                          (Closes: #506905)
  
 -- Manoj Srivastava <srivasta@debian.org>  Tue, 25 Nov 2008 15:45:40 -0600

kernel-package (11.014) unstable; urgency=low

  * [bc8223d]: On sparc, the image is compressed. Take that into account
  
    Fixes another RC bug. Hopefully, this is the last of the sparc-only
    bugs that need fixing ... 
  
    Bug fix: "[sparc] Breaks on gzip compression", thanks to Bastian Blank
                                                             (Closes: #506854)

 -- Manoj Srivastava <srivasta@debian.org>  Tue, 25 Nov 2008 09:42:59 -0600

kernel-package (11.013) unstable; urgency=high

  * [fd7dc12] Fix gzip invocation when compressing kernel image
    
    When we factored out the copying of the kernel image source to the
    destination, we forgot to change
      gzip -9vc SRC > DEST
    to
     gzip -9fq DEST
    since the copying is now done earlier. This cause build failures on
    sparc. This fixes a grave bug, and the error was introduced in 11.003

    Bug fix: "[sparc] no longer produces compressed kernels for
    linux-2.6", thanks to Frans Pop                    (Closes: #506711).

 -- Manoj Srivastava <srivasta@debian.org>  Mon, 24 Nov 2008 09:33:54 -0600

kernel-package (11.012) unstable; urgency=low

  * New bug fixing release.
  * [3f7296a] Handle Xen code configured into modern kernels
  
    When building a current kernel with the in-kernel xen code enabled on
    amd64, kernel-package does not recognize this correctly because it
    matches on a config variable which apparently is no longer set (or
    maybe even was never used in the in-kernel xen code). This commit adds
    an extra stanza that adds support for the Xen in new kernels. The
    suggestion and bug report were from  Michael Holzt. The patch is a
    three line change.
  
    Bug fix: "does not recognize xen enabled kernel on amd64", thanks to
    Michael Holzt                                      (Closes: #503686).
  * [720444c] Add french translations for the debconf templates 

    This is a new french translation for debconf templates in the packages
    generated by kernel-package.
 
    Bug fix: "[INTL:fr] French translation for debconf templates of
    generated packages", thanks to Jean-Christophe      (Closes: #503905).
  * [debiandir:343ab3c] Update the build dependency for po4a
  
    The version of po4a in Etch does not have the command line options we
    need; so this build dependency helps in backporting.

    Bug fix: "Backport to Etch fails with po4a error", thanks to Carsten
    Aulbert                                              (Closes: #505661).
  * [4a35a16] Use the variable LINK_ARCH to include x86 headers

    Use the LINK_ARCH variable instead of KERNEL_ARCGH variables in more
    places; this ensures that the headers for x86 archies do not go
    missing. We already have code to grab the headers from the new
    location; but were looking at the wrong architecture name.
  
    Bug fix: "Does not include complete asm tree in linux-headers", thanks
    to Shane Wegner. This is an important bug.            (Closes: #505038).

 -- Manoj Srivastava <srivasta@debian.org>  Fri, 14 Nov 2008 23:32:44 -0600

kernel-package (11.0011) unstable; urgency=low

  * [02be18e] Fix the make-kpkg --config fooconfig configure target
    make-kpkg always ran (silent)?oldconfig, no matter what. Simplified
    the selection of the configure target, and unbroke the
    functionality. This should have been an important bug.
    Bug fix: "menuconfig does not work", thanks to Marcus Better
                                                           (Closes: #502407).

 -- Manoj Srivastava <srivasta@debian.org>  Fri, 17 Oct 2008 20:53:16 -0500

kernel-package (11.0010) unstable; urgency=low

  * [3aea39c] Add missing braces around variable in debconf template
  * [b0a7ac0] Correct logic around running lilo
    Bug fix: " postinst problems in generated linux-image-*", thanks to
    Darren Salt.                                     (Closes: #502255)
  * [920898e] Modify docs now that make-kpkg clean is not a requirement
    The new build system is far more robust about keeping up with version
    numbers, and so all that is needed to change a .config or a version
    number is to just rm -rf ./debian and start building. This cuts down a
    lot on time wasted building kernels and deleting the .o files before
    the next build. 
  
 -- Manoj Srivastava <srivasta@debian.org>  Wed, 15 Oct 2008 03:18:41 -0500

kernel-package (11.009) unstable; urgency=low

  * [ef3744c] Fix incorrect image name when using a .config with Xen
    configured. 

 -- Manoj Srivastava <srivasta@debian.org>  Wed, 15 Oct 2008 00:20:51 -0500

kernel-package (11.008) unstable; urgency=low

  * [77c7df0] Fix and use po4a for man pages
    [debiandir dfa2ff7] Generate man pages from po4a while building
    [debiandir b456d2d] Add a build dependency on po4a
    Bug fix: "[proposition] convert to po4a", thanks to Martin Quinson
                                                     (Closes: #260526).
    Bug fix: "French manpages translation", thanks to Christian Perrier
                                                     (Closes: #487425).
  * [f2f3b7f] Remove early version check from make-kpkg: too many false


=== debian/control ===
Source: kernel-package
VCS-Git: git://git.debian.org/~srivasta/debian/kernel-package.git
VCS-Browser: http://git.debian.org/?p=users/srivasta/debian/kernel-package.git;a=summary
Priority: optional
Section: misc
Build-Depends-Indep: po4a (>= 0.31)
Maintainer: Manoj Srivastava <srivasta@debian.org>
Standards-Version: 3.8.0.0

Package: kernel-package
Description: A utility for building Linux kernel related Debian packages.
 This package provides the capability to create a Debian kernel image
 package by just running make-kpkg kernel_image in a kernel source
 directory tree.  It can also package the relevant kernel headers into
 a kernel-headers package. In general, this package is very useful if
 you need to create a custom kernel, if, for example, the default
 kernel does not support some of your hardware, or you wish a leaner,
 meaner kernel.  It also scripts the steps that need be taken to
 compile the kernel, which is quite convenient (forgetting a crucial
 step once was the initial motivation for this package). Please look at 
 /usr/share/doc/kernel-package/Rationale.gz for a full list of advantages
 of this package.
Depends: perl, dpkg (>= 1.4), dpkg-dev (>= 1.4.0.9), gcc | c-compiler, make (>= 3.80-10), po-debconf, gettext, file, debianutils (>= 2.30), binutils (>= 2.12), util-linux (>= 2.10o), module-init-tools (>= 0.9.10)
Recommends: libc6-dev | libc-dev, bzip2
Suggests: linux-source | kernel-source, libdb3-dev, libncurses-dev, docbook-utils, xmlto, e2fsprogs (>= 1.29), linux-initramfs-tool
Architecture: all
